from parallels.core.utils.entity import Entity


class IisAppPoolDomain(Entity):
    def __init__(self, domain_id, iis_app_pool_id):
        self._domain_id = domain_id
        self._iis_app_pool_id = iis_app_pool_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def iis_app_pool_id(self):
        """
        :rtype: str | unicode
        """
        return self._iis_app_pool_id
